curl --request GET \
--url https://api.yapily.com/accounts/{accountId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/accounts/{accountId}"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "01191f59dcd54be2854a7e686702dbd6"
},
"data": {
"id": "700004000000000000000002",
"type": "Personal - Current",
"balance": -12.57,
"currency": "GBP",
"usageType": "PERSONAL",
"accountType": "CURRENT",
"nickname": "xxxx0006",
"accountNames": [
{
"name": "Mr. Roberto Rastapopoulos & Ivan Sakharine"
}
],
"accountIdentifications": [
{
"type": "SORT_CODE",
"identification": "700001"
},
{
"type": "ACCOUNT_NUMBER",
"identification": "70000002"
}
],
"accountBalances": [
{
"type": "EXPECTED",
"dateTime": "2021-06-09T08:51:02.463Z",
"balanceAmount": {
"amount": -12.57,
"currency": "GBP"
},
"creditLineIncluded": false,
"creditLines": []
}
]
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Get Account
Returns the account and balance information for a user’s specified account.
Feature: ACCOUNT
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The consent-token containing the user's authorisation to make the request.
Conditional. Represents the user's login ID for the Institution to a personal account.
See PSU identifiers to see if this header is required.
Conditional. Represents the user's login ID for the Institution to a business account.
See PSU identifiers to see if this header is required.
Conditional. The IP address of the PSU.
See PSU identifiers to see if this header is required.
The sub-application ID to which event type is being subscribed to
Path Parameters
Mandatory. The account Id of the user's bank account.
Was this page helpful?